commit f644e21ee364405213a8609bbd8371c27fdb69d9
Author: Michael J. Eager <eager@eagercon.com>
Date:   Sat May 24 23:54:55 2025

    MicroBlaze does not support speculative execution (CVE-2017-5753)
    
    gcc/
            PR target/86772
            Tracking CVE-2017-5753
            * config/microblaze/microblaze.cc (TARGET_HAVE_SPECULATION_SAFE_VALUE):
            Define to speculation_save_value_not_needed

diff --git a/gcc/config/microblaze/microblaze.cc b/gcc/config/microblaze/microblaze.cc
index 98ec6116ffd..26eb007b844 100644
--- a/gcc/config/microblaze/microblaze.cc
+++ b/gcc/config/microblaze/microblaze.cc
@@ -239,6 +239,10 @@ section *sdata2_section;
 #define TARGET_HAVE_TLS true
 #endif
 
+/* MicroBlaze does not do speculative execution.  */
+#undef  TARGET_HAVE_SPECULATION_SAFE_VALUE
+#define TARGET_HAVE_SPECULATION_SAFE_VALUE speculation_safe_value_not_needed
+
 /* Return truth value if a CONST_DOUBLE is ok to be a legitimate constant.  */
 static bool
 microblaze_const_double_ok (rtx op, machine_mode mode)

